:root{
  --bgcolor:#fff9dc;
  --headingcolor:#ff4400;
  --btncolor:#fcbd90;
  --btnbordercolor:#faa680;
  --btnshdcolor:#e2a67b;
  --btnactivecolor:#f98938;
  --pozncolor:#009;
}

html{
  background-color: #1b2f27;
}

body{
  background-color: var(--bgcolor);
  margin: auto;
  padding-left: 1.5rem;
  padding-top: 0.2rem;
  padding-right: 1rem;
  max-width: 800px;
  border-radius: 20px 20px 1px 1px;
}

h1{
  font-size: 300%;
  color:rgb(217, 255, 0);
  text-shadow: 2px 2px 3px rgb(156, 161, 156);
  margin-right: 1.5rem;
  height:200px;
  background-image: url("polsko_800.jpg");
  background-repeat: no-repeat, no-repeat;
  padding: 1rem;
  border-radius: 20px 20px 1px 1px;
}

@media screen and (max-width: 600px) {
  h1{
    height:119px;
    background-image: url("polsko_600.jpg");
    border-radius: 10px 10px 1px 1px;
  }
}

@media screen and (max-width: 480px) {
  h1{
    height:95px;
    background-image: url("polsko_480.jpg");
    border-radius: 10px 10px 1px 1px;
  }
}


h2{
  font-size: 140%;
  color:rgb(162, 2, 2);
  text-shadow: 1px 1px 2px rgb(73, 2, 2);
  border-top: 1px solid rgb(128, 0, 0);
  padding-top: 5px;
}

h3{
  font-size: 120%;
  font-weight: bold;
  color:rgb(158, 3, 3);
}

h4{
  font-size: 100%;
  color:rgb(84, 0, 0);
  font-weight: bold;
  background-color: #f6afaf;
  padding-left: 1.5rem;
  border-radius: 2px 15px 15px 2px;
  font-family: Arial, Helvetica, sans-serif;
  padding: 5px 8px 5px 8px;
  margin-right: 2rem;
  font-style: italic;
}

h5{
  font-size: 80%;
  margin-left: 1.5rem;
  color:rgb(128, 0, 0);
  font-style: italic;
}


.nav{
  display:flex;
  margin-left: 1rem;
}

.nav a{
  display: block;
  width:14rem;
  margin: 2px 10px 10px 10px;
  border: 1px solid hsl(24, 51%, 70%);
  border-radius: 12px;
  text-align: center;
  text-decoration: none;
  background-color: #fac4aa;
  color:#831a1a;
  box-shadow: 2px 2px 5px #bd7171;
  font-family: Arial, Helvetica, sans-serif;
  font-size: smaller;
  padding: 7px 2px;
}

.nav a:hover{
  background-color: #fddfdf;
  color:rgb(109, 1, 1);
}


.but{
  display:flex;
  width:12rem;
  margin: 2px 10px 10px 10px;
  color:var(--headingcolor);
  background-color: var(--btncolor);
  box-shadow: 2px 2px 5px var(--btnshdcolor);
  border: 2px solid var(--btnbordercolor);
  border-radius: 12px;
  text-decoration: none;
  font-family: Arial, Helvetica, sans-serif;
  font-size: smaller;
  padding: 2px 5px;
  margin-left:1.1rem;
  justify-content: flex-start;
  align-items: center;
  column-gap: 1rem;

  transition-property: background-color;
	transition-duration: 0.8s;
	transition-timing-function: linear;  
}
.but img{
  padding-left:10px;
}

.but:hover{
  color:var(--bgcolor);
  font-weight:bold;
  background-color: var(--btnactivecolor);
  box-shadow: 2px 4px 5px var(--btnshdcolor);
}

.DesignBy{
  color:#909090;
  border-top: 1px solid rgb(128, 0, 0);
  text-align:center;
  font-size: x-small;
  width:auto;
  padding:1px;
  margin-top: 1rem;
}
.DesignBy p{
  margin: 0.1rem 0.1rem;
}

.trasy p{
  padding-left: 1.5rem;
}

.poznamka {
  font-size: small;
  color: silver;
  padding-left: 3rem;;
}

.trasy a{
  width:12rem;
  margin: 2px 10px 10px 4px;
  border: 1px solid #da8d8d;
  border-radius: 12px;
  text-align: center;
  text-decoration: none;
  background-color: rgb(248, 193, 193);
  color:rgb(131, 26, 26);
  box-shadow: 1px 1px 5px rgb(113, 189, 140);
  font-family: Arial, Helvetica, sans-serif;
  font-size: small;
  padding: 3px 10px;  
}

.mapa img{
  width:90%;
}

@media screen and (max-width: 600px) {
  .mapa img{
    width:90%;
  }
}

@media screen and (max-width: 480px) {
  .mapa img{
    width:90%;
  }
}

.mala{
  text-align: center;
}

.mapa .mala img {
  max-width:50%;
  box-shadow: 5px 5px 10px #a18853;
  border-radius: 10px;
}


video{
  max-width:98%;
  margin-top: 20px;
  border-radius: 5px;
  box-shadow: 4px 2px 5px gray;
}

.hidden{
  display: none;
}